Subject: bug#68413: Ungexp doesn't work on deep lists

From: Justin Veilleux <[email-masked]>
Date: Fri, 12 Jan 2024 20:52:21 -0500

Hi, I've been using G-expressions for some time and have always been
hindered by `ungexp` not working on deeper lists. For instance, when I
want to embed in a G-expression a list of packages, it works

>(define packages (list coreutils gnu-make ...))
>
> #~(for-each
>    (lambda (f)
>      ... do-something)
>    '#$packages)

But as soon as I use an object in which the file-like objects are
deeper, it fails

> (define packages
>         (list
>          (cons "coreutils" coreutils)
>          (cons "make" gnu-make)
>          ...))
>
> #~(for-each
>    (lambda (f)
>      ... do-something)
>    '#$packages)

If I send a patch to "fix" this, will it be usefull or is there a reason
for this behavior?

Thanks.